info.bioinfweb.jphyloio.formatinfo

## Enum MetadataTopologyType

- java.lang.Object
- - java.lang.Enum<MetadataTopologyType>
  - - info.bioinfweb.jphyloio.formatinfo.MetadataTopologyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MetadataTopologyType>

      public enum MetadataTopologyType
      extends java.lang.Enum<MetadataTopologyType>

  Enumerates possible combinations of meta events to be nested between start and end events of other content types.
  Since:
    0.1.0
  Author:
    Sarah Wiechers, Ben Stöver
  See Also:
    `MetadataModeling`, `JPhyloIOFormatInfo.getMetadataModeling(info.bioinfweb.jphyloio.events.type.EventContentType, boolean)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL_TREE` Nested metadata according to the RDFa model are supported.
    `LIMITED_TREE` Nested meta data including literal meta data on the first level is supported, but not full meta data trees according to the RDFa model.
    `LITERAL_ONLY` Only literal metadata on the first level is supported.
    `NONE` No nested metadata is supported.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetadataTopologyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MetadataTopologyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final MetadataTopologyType NONE

      No nested metadata is supported.

    - #### LITERAL_ONLY

          public static final MetadataTopologyType LITERAL_ONLY

      Only literal metadata on the first level is supported.

    - #### LIMITED_TREE

          public static final MetadataTopologyType LIMITED_TREE

      Nested meta data including literal meta data on the first level is supported, but not full meta data trees according to the RDFa model.

    - #### FULL_TREE

          public static final MetadataTopologyType FULL_TREE

      Nested metadata according to the RDFa model are supported.

  - ### Method Detail

    - #### values

          public static MetadataTopologyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetadataTopologyType c : MetadataTopologyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetadataTopologyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null